routeEnhancers:
  NewsPages:
    limitToPages: [187]
    type: Extbase
    extension: News
    plugin: Pi1
    routes:
      -
        routePath: '/{newsTitle}'
        _controller: 'News::detail'
        _arguments:
          newsTitle: news
      -
        routePath: '/seite-{newsPagination}'
        _controller: 'News::list'
        _arguments:
          newsPagination: currentPage
      -
        routePath: '/kategorie-{newsCategory}/seite-{newsPagination}'
        _controller: 'News::list'
        _arguments:
          newsPagination: currentPage
          newsCategory: overwriteDemand/categories
      -
        routePath: '/kategorie-{newsCategory}'
        _controller: 'News::list'
        _arguments:
          newsCategory: overwriteDemand/categories
      -
        routePath: '/{newsYear}/{newsMonth}'
        _controller: 'News::list'
        _arguments:
          newsYear: 'overwriteDemand/year'
          newsMonth: 'overwriteDemand/month'
          disableOverrideDemand: 'overwriteSettings/disableOverrideDemand'
      -
        routePath: '/{newsYear}'
        _controller: 'News::list'
        _arguments:
          newsYear: overwriteDemand/year
          disableOverrideDemand: overwriteSettings/disableOverrideDemand
    defaultController: 'News::list'
    defaults:
      newsPagination: '1'
      disableOverrideDemand: '0'
    requirements:
      newsPagination: \d+
    aspects:
      newsCategory:
        type: PersistedAliasMapper
        tableName: sys_category
        routeFieldName: slug
      newsTitle:
        type: PersistedAliasMapper
        tableName: tx_news_domain_model_news
        routeFieldName: path_segment
      newsPagination:
        type: StaticRangeMapper
        start: '1'
        end: '100'
      newsYear:
        type: StaticRangeMapper
        start: '2014'
        end: '2050'
      newsMonth:
        type: StaticValueMapper
        map:
          1: 1
          2: 2
          3: 3
          4: 4
          5: 5
          6: 6
          7: 7
          8: 8
          9: 9
          10: 10
          11: 11
          12: 12
